/*
   3D Invaders
   
   common.h

   (c)2002 Paul Boese
*/

#ifndef __COMMON_H
#define __COMMON_H

#include <assert.h>
#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include <math.h>

#include <kos.h>

#include <GL/gl.h>
#include <GL/glu.h>
#include <nurbs/nurbh.h>

#include "gfx.h"
#include "snd.h"

typedef vector_t point_t;

#include "shots.h"
#include "bombs.h"
#include "player.h"
#include "invader.h"
#include "barrier.h"
#include "game.h"

#include "vars.h"
#endif /* __COMMON_H */
